<?php

namespace TablesRouter;

class Fop_mail_host_box_draft {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function answerURL($mail = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['mail'] = $mail;
		return self::answerURL2($params);
	
    
  }

  public static function forwardURL($mail = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['mail'] = $mail;
		return self::forwardURL2($params);
	
    
  }

  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function forwardListAttachmentsURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::forwardListAttachmentsURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] , $std_mailbox = null , $to = null , $column_mailbox = null , $column_receiver = null , $column_subject = null , $column_content = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['std_mailbox'] = $std_mailbox;$params['to'] = $to;$params['column_mailbox'] = $column_mailbox;$params['column_receiver'] = $column_receiver;$params['column_subject'] = $column_subject;$params['column_content'] = $column_content;
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function answerListFop_mail_host_box_draft_attachment_draftURL($row = null , $parent = null , $params = [] , $column_file = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;$params['column_file'] = $column_file;
		return self::answerListFop_mail_host_box_draft_attachment_draftURL2($params);
	
    
  }

  public static function forwardListFop_mail_host_box_draft_attachment_draftURL($row = null , $parent = null , $params = [] , $column_file = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;$params['column_file'] = $column_file;
		return self::forwardListFop_mail_host_box_draft_attachment_draftURL2($params);
	
    
  }

  public static function createListFop_mail_host_box_draft_attachment_draftURL($row = null , $parent = null , $params = [] , $column_file = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;$params['column_file'] = $column_file;
		return self::createListFop_mail_host_box_draft_attachment_draftURL2($params);
	
    
  }

  public static function answerListFop_mail_host_box_draft_recipient_draftURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::answerListFop_mail_host_box_draft_recipient_draftURL2($params);
	
    
  }

  public static function forwardListFop_mail_host_box_draft_recipient_draftURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::forwardListFop_mail_host_box_draft_recipient_draftURL2($params);
	
    
  }

  public static function createListFop_mail_host_box_draft_recipient_draftURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::createListFop_mail_host_box_draft_recipient_draftURL2($params);
	
    
  }

  public static function editListFop_mail_host_box_draft_attachment_draftURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::editListFop_mail_host_box_draft_attachment_draftURL2($params);
	
    
  }

  public static function searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draftURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draftURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draftURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draftURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draftURL2($params);
	
    
  }

  public static function renderEditfop_mail_host_box_draft_recipient_draft_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_mail_host_box_draft_recipient_draft_deletecascadeURL2($params);
	
    
  }

  public static function renderEditfop_mail_host_box_draft_attachment_draft_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_mail_host_box_draft_attachment_draft_deletecascadeURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_recipient_create_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_recipient_create_draftURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_attachment_create_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_attachment_create_draftURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draftURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draftURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draftURL2($params);
	
    
  }

  public static function answerURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/answer';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function forwardURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/forward';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function forwardListAttachmentsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/forwardListAttachments';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'answer') ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::answerAction(isset($_GET['mail']) ? $_GET['mail'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'forward') ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::forwardAction(isset($_GET['mail']) ? $_GET['mail'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')      ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::createAction(isset($_GET['std_mailbox']) ? $_GET['std_mailbox'] : null, isset($_GET['to']) ? $_GET['to'] : null, isset($_GET['column_mailbox']) ? $_GET['column_mailbox'] : null, isset($_GET['column_receiver']) ? $_GET['column_receiver'] : null, isset($_GET['column_subject']) ? $_GET['column_subject'] : null, isset($_GET['column_content']) ? $_GET['column_content'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'forwardListAttachments')  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::forwardListAttachmentsAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'answerListFop_mail_host_box_draft_attachment_draft')   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::answerListFop_mail_host_box_draft_attachment_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null, isset($_GET['column_file']) ? $_GET['column_file'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'forwardListFop_mail_host_box_draft_attachment_draft')   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::forwardListFop_mail_host_box_draft_attachment_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null, isset($_GET['column_file']) ? $_GET['column_file'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'createListFop_mail_host_box_draft_attachment_draft')   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::createListFop_mail_host_box_draft_attachment_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null, isset($_GET['column_file']) ? $_GET['column_file'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'answerListFop_mail_host_box_draft_recipient_draft')  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::answerListFop_mail_host_box_draft_recipient_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'forwardListFop_mail_host_box_draft_recipient_draft')  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::forwardListFop_mail_host_box_draft_recipient_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'createListFop_mail_host_box_draft_recipient_draft')  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::createListFop_mail_host_box_draft_recipient_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'editListFop_mail_host_box_draft_attachment_draft')  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::editListFop_mail_host_box_draft_attachment_draftAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draft') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draftAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_mail_host_box_draft_recipient_draft_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditfop_mail_host_box_draft_recipient_draft_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_mail_host_box_draft_attachment_draft_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditfop_mail_host_box_draft_attachment_draft_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_recipient_create_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditform_wf_fop_mail_host_box_draft_recipient_create_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_attachment_create_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditform_wf_fop_mail_host_box_draft_attachment_create_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draft') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draftAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\Fop_mail_host_box_draft::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function answerListFop_mail_host_box_draft_attachment_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/answerListFop_mail_host_box_draft_attachment_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function forwardListFop_mail_host_box_draft_attachment_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/forwardListFop_mail_host_box_draft_attachment_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createListFop_mail_host_box_draft_attachment_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/createListFop_mail_host_box_draft_attachment_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function answerListFop_mail_host_box_draft_recipient_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/answerListFop_mail_host_box_draft_recipient_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function forwardListFop_mail_host_box_draft_recipient_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/forwardListFop_mail_host_box_draft_recipient_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createListFop_mail_host_box_draft_recipient_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/createListFop_mail_host_box_draft_recipient_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editListFop_mail_host_box_draft_attachment_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/editListFop_mail_host_box_draft_attachment_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_mail_host_box_draft_recipient_draft_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditfop_mail_host_box_draft_recipient_draft_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_mail_host_box_draft_attachment_draft_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditfop_mail_host_box_draft_attachment_draft_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_recipient_create_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditform_wf_fop_mail_host_box_draft_recipient_create_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_attachment_create_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditform_wf_fop_mail_host_box_draft_attachment_create_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draftURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box_draft/renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draft';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function answerAccess($mail = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function forwardAccess($mail = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-fop_mail_host_box_draft-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('fop_mail_host_box_draft').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function forwardListAttachmentsAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-fop_mail_host_box_draft-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('fop_mail_host_box_draft').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess($std_mailbox = null , $to = null , $column_mailbox = null , $column_receiver = null , $column_subject = null , $column_content = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-fop_mail_host_box-send-column_mailbox ---
    
		if ($column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_mailbox))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-fop_mail_host_box-send-std_mailbox ---
    
		if ($std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($std_mailbox))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-fop_mail_host_box-view-column_mailbox ---
    
		if ($column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && $column_mailbox !== null && \FOP\Database::query('SELECT (CASE WHEN FALSE THEN TRUE ELSE NOT (('.qi('fop_mail_host_box').'.'.qi('fopuser').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_mailbox))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-fop_mail_host_box-view-std_mailbox ---
    
		if ($std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && $std_mailbox !== null && \FOP\Database::query('SELECT (CASE WHEN FALSE THEN TRUE ELSE NOT (('.qi('fop_mail_host_box').'.'.qi('fopuser').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($std_mailbox))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-fop_mail_host_box_draft-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('fop_mail_host_box_draft').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function answerListFop_mail_host_box_draft_attachment_draftAccess($row = null , $parent = null , $column_file = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function forwardListFop_mail_host_box_draft_attachment_draftAccess($row = null , $parent = null , $column_file = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createListFop_mail_host_box_draft_attachment_draftAccess($row = null , $parent = null , $column_file = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function answerListFop_mail_host_box_draft_recipient_draftAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function forwardListFop_mail_host_box_draft_recipient_draftAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createListFop_mail_host_box_draft_recipient_draftAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editListFop_mail_host_box_draft_attachment_draftAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_mail_host_box_draft_recipient_draft_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_mail_host_box_draft_attachment_draft_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_attachments_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_recipient_create_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_attachment_create_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_recipient_edit_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_attachment_edit_draftAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_mail_host_box_draft_recipient_draft_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_mail_host_box_draft_attachment_draft_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_attachments_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_answer_fop_mail_host_box_draft_recipient_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_forward_fop_mail_host_box_draft_recipient_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_create_fop_mail_host_box_draft_recipient_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_draft_edit_fop_mail_host_box_draft_attachment_draft_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_recipient_create_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_attachment_create_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_recipient_edit_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_attachment_edit_draftAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



